package nxm.sys.intr;

/**
  Calls a macro language procedure or subroutine. (Identical to Call, used for easier porting of X-Midas macros)

  @author Hank Kester / JXC

  @see Call
*/
public class Jump extends Call
{

  /** default constructor */
  public Jump () {}

  @Override
  public int open()
  {
    // This command has always been deprecated in NeXtMidas. It is here to allow code copied from an X-Midas macro to run.
    M.deprecate("Use of JUMP to call a procedure is deprecated, please use CALL");
    return super.open();
  }
}
